// ================================================
//  Master config for different crosshair settings
// ================================================

// main crosshair settings
seta crosshair 16
seta crosshair_enabled 1 // main toggle for enabling/disabling crosshair rendering, used mostly just for the menu... 1 = with per-weapon crosshairs, 2 = custom crosshair
seta crosshair_color "0.6 0.8 1"
seta crosshair_alpha 0.75
seta crosshair_size 0.3

// crosshair dot settings
seta crosshair_dot 0
seta crosshair_dot_alpha 1
seta crosshair_dot_size 0.600000
seta crosshair_dot_color "1 0 0"
seta crosshair_dot_color_custom 1 "use a custom color for the crosshair dot"

// smooth transitions for crosshair changes
seta crosshair_effect_time 0.4 "how fast (in seconds) some crosshair effects should take place, 0 = instant"
seta crosshair_effect_scalefade 1 "use scaling and fading for crosshair effects"

// item pickup animation settings
seta crosshair_pickup 0.25
seta crosshair_pickup_speed 4

// hit indication animation settings
seta crosshair_hitindication 0.5
seta crosshair_hitindication_color "10 -10 -10"
seta crosshair_hitindication_per_weapon_color "10 10 10"
seta crosshair_hitindication_speed 5

// hit testing/tracing for special effects for the crosshair
set g_trueaim_minrange 44 "TrueAim minimum range (TrueAim adjusts shots so they hit the crosshair point even though the gun is not at the screen center)"
seta crosshair_hittest 1 "do a crosshair hit evaluation, applying effects from the _blur, _scale, and _showipact cvars"
seta crosshair_hittest_blur 1 "blur the crosshair if the shot is obstructed"
seta crosshair_hittest_scale 1.25 "enlarge crosshair if aiming at an enemy, shrink crosshair if shot is obstructed or aiming at a teammate"
seta crosshair_hittest_showimpact 0 "move the crosshair to the actual impact location if obstructed"

// change color based on special case
seta crosshair_color_special 1 "special color handling for crosshair... 1 = per-weapon crosshair color (see crosshair_per_weapon), 2 = crosshair changes color based on health, 3 = rainbow/random color selection"
seta crosshair_color_special_rainbow_delay 0.1
seta crosshair_color_special_rainbow_brightness 20 "color brightness of the random crosshair colors"

// per-weapon crosshairs
seta crosshair_per_weapon 1	"when 1, each gun will display a different crosshair"


// =========================
//  Crosshair ring settings
// =========================

// ring around crosshair, used for various purposes (such as indicating bullets left in clip, vortex charge)
seta crosshair_ring 1 "enable normal crosshair rings"
seta crosshair_ring_inner 0 "allow inner rings to be drawn too"
seta crosshair_ring_size 2	"ring size"
seta crosshair_ring_alpha 0.2	"ring alpha"

// vortex ring // WEAPONTODO: Make this part of the crosshair line in REGISTER_WEAPON
seta crosshair_ring_vortex 1 "draw a ring showing the current charge of the vortex"
seta crosshair_ring_vortex_alpha 0.15
seta crosshair_ring_vortex_inner_alpha 0.15
seta crosshair_ring_vortex_inner_color_red 0.8
seta crosshair_ring_vortex_inner_color_green 0
seta crosshair_ring_vortex_inner_color_blue 0
seta crosshair_ring_vortex_currentcharge_scale 30
seta crosshair_ring_vortex_currentcharge_movingavg_rate 0.05

// minelayer ring
seta crosshair_ring_minelayer 1 "draw a ring showing the current amount of layed mines"
seta crosshair_ring_minelayer_alpha 0.15

// hagar ring
seta crosshair_ring_hagar 1 "draw a ring showing the current charge of the hagar"
seta crosshair_ring_hagar_alpha 0.15

// arc ring
seta crosshair_ring_arc 1 "draw a ring showing arc's overheating"
seta crosshair_ring_arc_hot_color "1 0 0"
seta crosshair_ring_arc_cold_alpha 0.2
seta crosshair_ring_arc_hot_alpha 0.5

// reload ring
seta crosshair_ring_reload 1 "enable ammo crosshair rings"
seta crosshair_ring_reload_size 2.5	"reload ring size"
seta crosshair_ring_reload_alpha 0.2	"reload ring alpha"
